package dev.ninjdai.werewolf.uhc.teams;

import net.minestom.server.entity.Player;

import java.util.List;
import java.util.Objects;

public class WinCondition {
    public static boolean checkTeamWin(Team team, List<Player> players){
        switch (team.winConditionType){
            case WinConditionType.ONLY_TEAM_REMAINING -> {
                for (Player player: players) {
                    if (! Objects.equals(player.getTag(Team.teamTag), team.id)) return false;
                }
                return true;
            }
        }
        return false;
    }

    public enum WinConditionType {
        ONLY_TEAM_REMAINING,
    }
}
